local mod_name = minetest.get_current_modname()
local S = minetest.get_translator(mod_name)

minetest.register_node('aom_glass:glass', {
    description = S("Glass"),
    _tt_long_desc = S("Normal glass. Inconspicuously made of sand."),
    groups = { full_solid = 1, material_glass = 1, oddly_breakable_by_hand = 1, solid = 1, suffocates = 2, glass = 1,  silk_touchable = 1 },
    drawtype = "glasslike",
    sunlight_propagates = true,
    paramtype = "light",
    tiles = { {name = "aom_glass_frame.png",}},
    backface_culling = false,
    use_texture_alpha = "clip",
    sounds = aom_sounds.default_glass(),
})
if minetest.get_modpath("aom_cooking") then
    aom_cooking.register_cooking({
        raw = "aom_soil:sand",
        cooked = "aom_glass:glass",
        input_count = 1,
        output_count = 1,
        cook_time = 2,
        groups = {"cooker_crucible"},
    })
end
